Bug 732704 - Review Request: npm - Node.js Package Manager
Summary: Review Request: npm - Node.js Package Manager
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 732552 732579 732583 732585 732590 732597 732598 732636 732639 732643 732650 732655 732660
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 10:53 UTC by T.C. Hollingsworth
Modified: 2018-04-11 19:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 23:07:14 UTC


Attachments (Terms of Use)

Description T.C. Hollingsworth 2011-08-23 10:53:45 UTC
Spec URL: http://www.u.arizona.edu/~tchol/fedora/npm.spec
SRPM URL: http://www.u.arizona.edu/~tchol/fedora/npm-1.0.26-1.fc15.src.rpm
Description:
npm is a package manager for node.js. You can use it to install and publish your
node programs. It manages dependencies and does other cool stuff.

$ rpmlint SPECS/npm.spec 
SPECS/npm.spec: W: no-%build-section
SPECS/npm.spec: W: invalid-url Source0: isaacs-npm-v1.0.26-0-g1f81f07.tar.gz
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/noarch/npm-1.0.26-1.fc15.noarch.rpm 
# NPM needs uncompressed copies of the man page for "npm help" to work
npm.noarch: W: manpage-not-compressed gz /usr/lib/nodejs/npm/man1/*
npm.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
npm.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
npm.noarch: W: only-non-binary-in-usr-lib
# works fine when installed
npm.noarch: W: dangling-relative-symlink /usr/share/doc/npm-1.0.26/rm.md ./uninstall.md
npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-folders.1.gz 138: warning: macro `Consider' not defined
# works fine when installed
npm.noarch: W: dangling-symlink /usr/bin/npm /usr/lib64/../lib/nodejs/npm/bin/npm.js
npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-help-search.1.gz 4: warning: macro `SH' not defined
npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-help-search.1.gz 15: warning: macro `P' not defined
npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-help-search.1.gz 25: warning: macro `SS' not defined
npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-help-search.1.gz 27: warning: macro `IP' not defined
npm.noarch: W: manual-page-warning /usr/share/man/man1/npm-global.1.gz 138: warning: macro `Consider' not defined
1 packages and 0 specfiles checked; 0 errors, 69 warnings.

Comment 1 Matěj Cepl 2011-08-26 09:35:20 UTC
Testscase which we need to take for ... https://github.com/polotek/libxmljs/issues/69

Comment 2 Matěj Cepl 2011-08-26 11:09:35 UTC
Yes, libxmljs doesn't build even with the packaged npm

bradford:nodejs $ rpm -qf `which npm`
npm-1.0.26-1.fc16.noarch
bradford:nodejs $ npm install libxmljs

> libxmljs@0.4.2 preinstall /tmp/node_modules/libxmljs
> make node

scons: Reading SConscript files ...
Checking for node.js ...(cached) yes
True
Checking for C++ library xml2... yes
Checking for node.js ...(cached) yes
scons: done reading SConscript files.
scons: Building targets ...
g++ -o src/html_document.os -c -I/usr/include/libxml2 -g -O3 -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -rdynamic -D__POSIX__=1 -DHAVE_FDATASYNC=1 -DPLATFORM="linux" -DX_STACKSIZE=65536 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEV_MULTIPLICITY=1 -D_FORTIFY_SOURCE=2 -DHAVE_CONFIG_H=1 -DHAVE_OPENSSL=1 -I/usr/include/node -fPIC src/html_document.cc
In file included from src/html_document.h:5:0,
                 from src/html_document.cc:2:
src/libxmljs.h:6:18: fatal error: node.h: No such file or directory
compilation terminated.
scons: *** [src/html_document.os] Error 1
scons: building terminated because of errors.
make: *** [node] Error 2
npm ERR! error installing libxmljs@0.4.2 Error: libxmljs@0.4.2 preinstall: `make node`
npm ERR! error installing libxmljs@0.4.2 `sh "-c" "make node"` failed with 2
npm ERR! error installing libxmljs@0.4.2     at ChildProcess.<anonymous> (/usr/lib/nodejs/npm/lib/utils/exec.js:49:20)
npm ERR! error installing libxmljs@0.4.2     at ChildProcess.emit (events.js:67:17)
npm ERR! error installing libxmljs@0.4.2     at ChildProcess.onexit (child_process.js:192:12)

> libxmljs@0.4.2 preuninstall /tmp/node_modules/libxmljs
> make clean

scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Cleaning targets ...
scons: done cleaning targets.
scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Cleaning targets ...
scons: done cleaning targets.
npm ERR! libxmljs@0.4.2 preinstall: `make node`
npm ERR! `sh "-c" "make node"` failed with 2
npm ERR! 
npm ERR! Failed at the libxmljs@0.4.2 preinstall script.
npm ERR! This is most likely a problem with the libxmljs package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     make node
npm ERR! You can get their info via:
npm ERR!     npm owner ls libxmljs
npm ERR! There is likely additional logging output above.
npm ERR! 
npm ERR! System Linux 3.0.0-1.fc16.x86_64
npm ERR! command "node" "/usr/bin/npm" "install" "libxmljs"
npm ERR! cwd /tmp/nodejs
npm ERR! node -v v0.4.11
npm ERR! npm -v 1.0.26
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /tmp/nodejs/npm-debug.log
npm not ok
bradford:nodejs $

Comment 3 T.C. Hollingsworth 2011-08-26 20:23:55 UTC
Looks like it can't find the Node.js headers (because they're in /usr/include/nodejs instead of /usr/include/node).  Hopefully it's something I can patch in npm and they aren't hardcoded in each package's Makefiles.

Comment 4 T.C. Hollingsworth 2011-10-24 23:07:14 UTC
Closing all Node.js-related reviews per bug 732552.


Note You need to log in before you can comment on or make changes to this bug.